tt_thread_procid(library call)

NAME
tt_thread_procid — identify the default process for the currently active thread

SYNOPSIS

#include &<Tt/tt_c.h>
char *tt_thread_procid(
);

DESCRIPTION

The tt_thread_procid function returns the current default procid for the currently-active thread.

If there is no default procid set for the thread, then the process default procid is returned.

ARGUMENTS

None.

RETURN VALUE

Upon successful completion, the tt_thread_procid function returns the pointer to a character string that uniquely identifies the default process for the currently active thread. The application can use tt_ptr_error to extract one of the following Tt_status values from the returned pointer:

TT_OK
    The operation completed successfully.

TT_ERR_NOMP
    The ttsession process is not running and the ToolTalk service cannot restart it.

TT_ERR_PROCID
    The current default process identifier is out of date or invalid.

APPLICATION USAGE

The application should use tt_free to free any data stored in the address returned by the ToolTalk API.

SEE ALSO

Tt/tt_c.h - Tttt_c(5), tt_free(3), tt_ptr_error(3)